Intermittent 64-bit Android hard crash using 1.2.153

#1

We have discovered that 64-bit Android builds using Defold 1.2.153 crashes intermittently. We have so far not been able to pin-point the problem, but with the 1.2.153 release we added support for arm64 (and we have also upgraded LuaJIT recently) so it’s possible that this is the reason for the crash.

We recommend that you do not release any 64-bit Android applications built using 1.2.153. You can bundle and release using an older version of bob, available from our download page.

We are giving this top-priority and will make a new release with a fix as soon as possible.

10 Likes

32/64-bit apk crashed, Defold Editor 2, 1.2.154, Linux
pinned globally #2
0 Likes

#3

Solved in 1.2.154

2 Likes

unpinned #4
0 Likes